#!/usr/bin/perl -w

package Config::Date;

BEGIN { push @INC , ".."; };

use Exporter;

our @ISA = "Exporter";
our @EXPORT_OK = qw{ read write };

#-------------------------------------------------------------------
# generic "new" method for config file handlers
sub new {
	my $proto = shift;
	my $class = ref($proto) || $proto;
	my $cfg_file = shift;
	my $cols = shift;
	my $self = {};
	bless($self,$class);
}
#-------------------------------------------------------------------

sub read {
	my $self = shift;
	my $vars = {};
	my $date = `date -Iminutes`;
	$date =~ /(\d+)-(\d\d)-(\d\d)T(\d\d):(\d\d)+.*/;
	$vars->{"year"} = $1;
	$vars->{"month"} = $2;
	$vars->{"day"} = $3;
	$vars->{"hour"} = $4;
	$vars->{"minute"} = $5;
	return $vars;
}

sub write {
	my $self = shift;
	my $vars = shift;
	my $date = $vars->{"month"} . $vars->{"day"} . $vars->{"hour"} . $vars->{"minute"} . $vars->{"year"};
	$vars->{"date_string"} = $date;
	my $retval = system("date -s $date > /dev/null");
}

#Local Variables:
#mode: cperl
#End:
