#!/usr/bin/perl -w

package Config::Autochannel;

sub new {
	my $self = {};
	bless $self;
}

sub autoChannel {
	my $self = shift;
	my $if = shift;
	my $i;
	my $result;
	my $max_link = 0;
	my $best_channel = 1;
	for ($i = 1; $i < 12; ++$i) {
		$result = `iwconfig $if channel $i`;
		sleep 1;
		open (PROCNET, "/proc/net/wireless");
		while (<PROCNET>) {
			chomp;
			if ($_ =~ /^\s*$if:\s+\d+\s+(\d+)/) {
				#print "Link-Quality for interface $if on channel $i is $1\n";
				if ($1 > $max_link) {
					$max_link = $1;
					$best_channel = $i;
				}
			}
		}
		close PROCNET;
	}
	#print "Best channel: $best_channel with link-quality $max_link\n";
	if ($best_channel != $i) {
		$result = `iwconfig $if channel $best_channel`;
	}
	return $best_channel;
}

#autoChannel("ath0");

#Local Variables:
#mode: cperl
#End:

1;

